net.sf.jasperreports.crosstabs.design

## Class DesignCrosstabColumnCell

- java.lang.Object
- - net.sf.jasperreports.crosstabs.base.BaseCrosstabColumnCell
  - - net.sf.jasperreports.crosstabs.design.DesignCrosstabColumnCell

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, CrosstabColumnCell, JRChangeEventsSupport, JRCloneable

      public class DesignCrosstabColumnCell
      extends BaseCrosstabColumnCell
      implements JRChangeEventsSupport

  Version:
    $Id: DesignCrosstabColumnCell.java 6874 2014-02-07 11:24:22Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CELL_CONTENTS`
    `static java.lang.String` | `PROPERTY_CONTENTS_POSITION`
    `static java.lang.String` | `PROPERTY_HEIGHT`

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.base.BaseCrosstabColumnCell

      `cellContents, contentsPosition, height`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignCrosstabColumnCell()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDesignCellContents` | `getDesignCellContents()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setCellContents(JRDesignCellContents cellContents)`
    `void` | `setContentsPosition(CrosstabColumnPositionEnum contentsPosition)`
    `void` | `setHeight(int height)`

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.base.BaseCrosstabColumnCell

      `clone, getCellContents, getContentsPosition, getHeight`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_HEIGHT

          public static final java.lang.String PROPERTY_HEIGHT

      See Also:
        Constant Field Values

    - #### PROPERTY_CONTENTS_POSITION

          public static final java.lang.String PROPERTY_CONTENTS_POSITION

      See Also:
        Constant Field Values

    - #### PROPERTY_CELL_CONTENTS

          public static final java.lang.String PROPERTY_CELL_CONTENTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DesignCrosstabColumnCell

          public DesignCrosstabColumnCell()

  - ### Method Detail

    - #### getDesignCellContents

          public JRDesignCellContents getDesignCellContents()

    - #### setHeight

          public void setHeight(int height)

    - #### setContentsPosition

          public void setContentsPosition(CrosstabColumnPositionEnum contentsPosition)

    - #### setCellContents

          public void setCellContents(JRDesignCellContents cellContents)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com